import { defineConfig } from 'vite'
import rootConfig from './vite.config.js'
import { nodePolyfills } from 'vite-plugin-node-polyfills'
import vue from '@vitejs/plugin-vue'

// defineWorkspace provides a nice type hinting DX
export default defineConfig((configEnv) => {
  const config = rootConfig(configEnv);
  config.css.extract = false
  config.plugins.push(
    nodePolyfills({
      // To add only specific polyfills, add them here. If no option is passed, adds all polyfills
      include: ['path']
    })
  );
 // config.plugins.push(
 //   cssInjectedByJsPlugin()
 // );
  config.plugins[0] = vue({
    template: {
      compilerOptions: {
        isCustomElement: (tag) => tag.includes('scaffoldvuer-wc')
      }
    }
  }),
  config.build = {
    lib: {
      entry: './src/ScaffoldVuer-wc.js',
      name: 'scaffoldvuer-wc',
      // the proper extensions will be added
      fileName: 'scaffoldvuer-wc'
    },
  }

  return config;
})
